import java.util.Scanner;

class BankingConsole {
  private Scanner keyboard = new Scanner(System.in);
    private BankingService forService;
  
    public BankingConsole(BankingService forService){
      this.forService = forService;
    }

  public void loginScreen() {
	try { //NEW
    System.out.println("Welcome to the Bank.  Please log in.");
    System.out.print("Enter your username: ");
    String username = keyboard.next();
    System.out.print("Enter your password: ");
    int password = keyboard.nextInt();
    forService.login(username,password);
    System.out.println("Welcome!");
	} //NEW
	
	//NEW block
	catch (CustomerNotFoundException e)
	{
		System.out.println("Invalid customer. Try again.");
		this.loginScreen();
	}
	catch (LoginFailedException e)
	{
		System.out.println("Invalid password. Try again.");
		this.loginScreen();
	}
  }  
}