import java.util.LinkedList;

class CustSet implements ICustSet {
	  private LinkedList<Customer> customers = new LinkedList<Customer>();
  
//adds customer to the list of customers
 public void addCust(Customer newC) {
   this.customers.add(newC);
 }
  
  // return the Customer whose name matches the given name
 //NEW
  public Customer findByName(String name) throws CustomerNotFoundException {
    for (Customer cust:customers) {    
      if (cust.nameMatches(name))
        return cust;
    }
    
    //NEW
    throw new CustomerNotFoundException(name);
    
  }
}